## org.apache.catalina.cluster
Interface ClusterValve

All Known Implementing Classes:
  ClusterSingleSignOn, JvmRouteBinderValve, ReplicationValve

public interface ClusterValve

Cluster Valve Interface to mark all Cluster Valves Only those Valve can'be configured as Cluster Valves

Version:
  $Id: ClusterValve.java 939539 2010-04-30 01:31:33Z kkolinko $
Author:
  Peter Rossbach

Method Summary
`CatalinaCluster` `getCluster()` Returns the cluster the cluster deployer is associated with
`void` `setCluster(CatalinaCluster cluster)` Associates the cluster deployer with a cluster

Method Detail

### getCluster

    public CatalinaCluster getCluster()

  Returns the cluster the cluster deployer is associated with

  Returns:
    CatalinaCluster

### setCluster

    public void setCluster(CatalinaCluster cluster)

  Associates the cluster deployer with a cluster

  Parameters:
    `cluster` - CatalinaCluster

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.